Bug 843595 - [abrt] python-2.7.3-6.fc17: is_end: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: is_end: Process /usr/bin/python2.7 was killed by ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:61212ef1282d5847562bda9eb03...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 13:47 EDT by Wim ten Have
Modified: 2013-08-01 09:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.76 KB, text/plain)
2012-07-26 13:48 EDT, Wim ten Have
no flags Details
File: maps (86.12 KB, text/plain)
2012-07-26 13:48 EDT, Wim ten Have
no flags Details
File: dso_list (18.03 KB, text/plain)
2012-07-26 13:48 EDT, Wim ten Have
no flags Details
File: build_ids (7.53 KB, text/plain)
2012-07-26 13:48 EDT, Wim ten Have
no flags Details

  None (edit)
Description Wim ten Have 2012-07-26 13:47:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/virt-manager/virt-manager.py
crash_function: is_end
executable:     /usr/bin/python2.7
kernel:         3.4.6-2.fc17.x86_64
pid:            1922
pwd:            /home/wtenhave/Documents
time:           Thu 26 Jul 2012 07:43:36 PM CEST
uid:            1500
username:       wtenhave
var_log_messages: Jul 26 19:43:37 kruimel-fc abrt[2215]: Saved core dump of pid 1922 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-26-19:43:36-1922 (163942400 bytes)
xsession_errors: 

backtrace:      Text file, 39686 bytes
build_ids:      Text file, 7708 bytes
dso_list:       Text file, 18458 bytes
maps:           Text file, 88184 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/wtenhave/2

core_backtrace:
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x5e3f9 - libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x146854 - libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0xb1544 - _gtk.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd95f7 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d7b6 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x58090 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd71d7 PyEval_CallObjectWithKeywords libpython2.7.so.1.0 -
:fac447a0873707c61a7ccabb85d63cc13c768dad 0x18de1 - _gobject.so -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x261fe1 - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2660f0 - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdce46 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:KDE_MULTIHEAD=false
:SSH_AGENT_PID=1472
:XDG_SESSION_ID=2
:HOSTNAME=kruimel-fc
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:DESKTOP_STARTUP_ID=kruimel-fc;1343324458;216210;1586_TIME88516
:SHELL=/bin/tcsh
:TERM=dumb
:HOST=kruimel-fc
:XDG_MENU_PREFIX=kde4-
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/wtenhave/.gtkrc-2.0:/home/wtenhave/.gtkrc-2.0-kde4:/home/wtenhave/.kde/share/config/gtkrc-2.0
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/wtenhave/.gtkrc:/home/wtenhave/.kde/share/config/gtkrc
:GS_LIB=
:GNOME_KEYRING_CONTROL=/run/user/wtenhave/keyring-fMd76i
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=wtenhave
:GROUP=users
:LS_COLORS=
:SSH_AUTH_SOCK=/tmp/ssh-GzBMJrta1314/agent.1314
:HOSTTYPE=x86_64-linux
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1568,unix/unix:/tmp/.ICE-unix/1568
:USERNAME=wtenhave
:PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/opt/local/bin:/home/wtenhave/bin:.
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/wtenhave
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:QT_IM_MODULE=xim
:PWD=/home/wtenhave/Documents
:XMODIFIERS=@im=none
:EDITOR=/usr/bin/vim
:GNOME_KEYRING_PID=1310
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDE_SESSION_UID=1500
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:XDG_SEAT=seat0
:HOME=/home/wtenhave
:SHLVL=2
:OSTYPE=linux
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=default
:VENDOR=unknown
:LOGNAME=wtenhave
:MACHTYPE=x86_64
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MaUleRMRoE,guid=8c60d4a7761158eeb219fe4e0000001f
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/wtenhave
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/wtenhave/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-wtenhave/xauth-1500-_0
:CCACHE_HASHDIR=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 46885                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       46885                46885                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:/home/wtenhave/.virt-manager/virt-manager.log
:pos:	155014
:flags:	0102001
:4:socket:[28361]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:/dev/urandom
:pos:	0
:flags:	02100000
:7:socket:[30130]
:pos:	0
:flags:	02004002
:8:socket:[30135]
:pos:	0
:flags:	02004002
:9:socket:[26133]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:pipe:[28379]
:pos:	0
:flags:	00
:12:pipe:[28379]
:pos:	0
:flags:	04001
:13:socket:[23147]
:pos:	0
:flags:	02004002
:14:pipe:[23148]
:pos:	0
:flags:	02000000
:15:pipe:[23148]
:pos:	0
:flags:	02000001
Comment 1 Wim ten Have 2012-07-26 13:48:00 EDT
Created attachment 600562 [details]
File: backtrace
Comment 2 Wim ten Have 2012-07-26 13:48:02 EDT
Created attachment 600563 [details]
File: maps
Comment 3 Wim ten Have 2012-07-26 13:48:04 EDT
Created attachment 600564 [details]
File: dso_list
Comment 4 Wim ten Have 2012-07-26 13:48:07 EDT
Created attachment 600565 [details]
File: build_ids
Comment 5 Thomas Spura 2012-07-26 14:01:00 EDT
Seems like this is the same like bug #773356, just for f17.

This might be pygtk or gtk.

Reassigning to pygtk, as old bug is also filled against that.

How is this reproducable?
Does it happen all the time?
Comment 6 Wim ten Have 2012-07-26 14:32:54 EDT
I was reconfiguring network settings on a KVM based VM with virt-manager.

It seemed to be a single incident.  I do not know how i caused, ie, the order of configuration changes was wild prior to the SEGV.  After the crash i had made up my mind and could go straight to target configuration.

-- Wim ten Have.
Comment 7 Fedora End Of Life 2013-07-04 00:18:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 09:09:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.